Skip to main content
GET
Get one purchase order line by its reference

Authorizations

Authorization
string
header
required

Use a valid JWT token in the Authorization header with the format 'Bearer {token}'

Path Parameters

lineReference
string
required

Response

OK

id
string
required
externalReference
null | string
required
orderId
string
required
number
integer<int32>
required
code
string
required
order
object | null
required
skuId
string
required
sku
object | null
required
quantity
object
required
notes
null | string
required
pendingQuantity
object
required
receivedQuantity
object
required
cancelledQuantity
object
required
totalPrice
object
required
status
enum<string>
required
Available options:
Cancelled,
Draft,
Pending,
PartiallyReceived,
Received
expectedAt
null | string<date-time>
required
createdAt
string<date-time>
required
createdBy
string
required
lastModifiedAt
string<date-time>
required
lastModifiedBy
string
required
enteredQuantity
object | null